%global modname zope.contenttype

Summary: Content-Type Handling Utility
Name: python-zope-contenttype
Version: 4.0.1
Release: 3%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Libraries
BuildArch: noarch
URL: http://pypi.python.org/pypi/zope.contenttype

BuildRequires: python2-devel
BuildRequires: python-setuptools

%description
This package provides a utility module for content-type handling.

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build --quiet

%install
%{__python} setup.py install --quiet --root=$RPM_BUILD_ROOT

%files
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt
%{python_sitelib}/zope/contenttype/
%dir %{python_sitelib}/zope/
%{python_sitelib}/%{modname}-*.egg-info
%{python_sitelib}/%{modname}-*-nspkg.pth

%check
%{__python} setup.py test

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.0.1-1
- Latest upstream

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 29 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.5.5-2
- Include the license text

* Sun May 27 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.5.5-1
- Update to 3.5.5
- Remove defattr
- Remove upstreamed patch
- Add --quiet option to 'python setup.py' commands

* Sun Sep 12 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.1-2
- Requires: python-zope-filesystem and python-setuptools removed
- Spec cleaned up
- Co-own %%{python_sitelib}/zope/
- Add %%check section and run tests
- Add python-zope-contenttype-3.5.1-run-tests.patch to register the test_suite

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.1-1
- Initial packaging
